Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
Connection Manager and CW5.0 and WIN7
Madeleine L. migrated on Dec 31, 2013 at 11:00 AM
No staff assigned yet

  • I am trying to get Code Warrior version 5.0 to run on my new WIN7 laptop.  The product is in production so I cannot upgrade to a newer version of CW at this time. 
    Here's what I have working. CW version 5.1 runs fine mostly. The P&E Connection Manager is 2.74 and although there is always a "Can't connect" message, it eventually does so. The P&E driver version is 10.0.2.
    The CW version 5.0 was copied from a working WINXP machine and runs in WINXP-SP3 compatibility mode. It compiles and seems OK except when it's time to load/debug. It calls Connection Manager 2.71 and can never find the P&E Adapter and although I plug it in/out, it never works.
    Freescale has a fits-all answer that I do not fit into.
    In the directories of the two CW versions, the files pertaining to the Multilink are nothing alike so I hesitate to just start copying stuff.
    Can you help?





    Comments

  • Hi MMLoweNH,

    Do you happen to be running a 64-bit version of Windows 7? The P&E libraries included in CW 5.0 may not support 64-bit operating systems. It may be possible to patch your existing installation with newer P&E libraries. If you're interested in trying this, please submit a support request on our website.

    The other alternative is to upgrade to the newer CW 5.1, which officially supports Windows 64-bit OSes.

    Best regards,
    Edison

  • I was able to point the CW 5.0 to use the CW5.1 debugger by changing the paths and that seems to have worked. Thanks for your help.

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2017 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement